Create a Topic
Create a new topic within a messaging service
POST
POST /v1/topics
Create a Topic
Create a new topic within a messaging service.Body Parameters
POST /v1/topics
Returns
Returns the created topic object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/topics instead of POST to perform an upsert. If a topic with the same fullyQualifiedName already exists, it will be updated; otherwise, a new topic is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/topics/bulk to create or update multiple topics in a single request. The request body is an array of create request objects.